jQuery(function($){

	/*
	 * Load More
	 */
	$('#filter_load_more').click(function(){

		$.ajax({
			url : filter_loadmore_params.ajaxurl,
			data : {
				'action': 'loadmorebutton',
				'query': filter_loadmore_params.posts,
				'page' : filter_loadmore_params.current_page
			},
			type : 'POST',
			beforeSend : function ( xhr ) {
				$('#text_load_more').text('...');
			},
			success : function( posts ){
				if( posts ) {
					$('#filter_posts_wrap').append( posts );
					$('#text_load_more').text('Show more');
					filter_loadmore_params.current_page++;

					if ( filter_loadmore_params.current_page == filter_loadmore_params.max_page )
						$('#filter_load_more').hide();

				} else {
					$('#filter_load_more').hide();
				}
			}
		});
		return false;
	});


});
